include:
  - db.docker-compose.yml

services:
  bot:
    env_file:
      - .env
      - .env.production
    build:
      context: ./
      dockerfile: ./Dockerfile
    networks:
      - bot
    depends_on:
      mongo:
        condition: service_started
      redis:
        condition: service_started
      postgres:
        condition: service_healthy
        restart: true

networks:
  bot:
    driver: bridge